<?php
/**
 * @category   Order
 * @package    Order_Status
 * @author     admin1@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */


namespace BlueThink\Ordersegrigation\Controller\Adminhtml\Order;

use Magento\Backend\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;
use Magento\Ui\Component\MassAction\Filter;
use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;
use Magento\Sales\Model\ResourceModel\Order\CollectionFactory;
use Magento\Framework\App\Filesystem\DirectoryList;
use Mpdf\Mpdf;

class Printorderproduct extends \Magento\Backend\App\Action
{
    /**
     * @var \Magento\Catalog\Api\ProductRepositoryInterface
     */
    protected $productRepository;

    /**
     * @var \Magento\Ui\Component\MassAction\Filter $filter
     */
    protected $filter;

    /**
     * @var \Magento\Catalog\Model\ResourceModel\Product\CollectionFactory
     */
    protected $collectionFactory;

    protected $_coreSession;
    /**
     * @param \Magento\Backend\App\Action\Context $context
     * @param \Magento\Catalog\Controller\Adminhtml\Product\Builder $productBuilder
     * @param \Magento\Ui\Component\MassAction\Filter $filter
     * @param \Magento\Catalog\Api\ProductRepositoryInterface $productRepositoryInterface
     * @param \Magento\Catalog\Model\ResourceModel\Product\CollectionFactory $collectionFactory
     */
    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Ui\Component\MassAction\Filter $filter,
        \Magento\Framework\Registry $coreRegistry,
        \Magento\Framework\Session\SessionManagerInterface $coreSession,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory,
        \Magento\Sales\Model\ResourceModel\Order\CollectionFactory $collectionFactory
    )
    {
        parent::__construct($context);
        
        $this->filter = $filter;
        $this->_coreSession = $coreSession;
        $this->resultPageFactory = $resultPageFactory;
        $this->_collectionFactory = $collectionFactory;
    }
    /**
     * Items list.
     *
     * @return \Magento\Backend\Model\View\Result\Page
     */
    public function execute()
    {


      $pdf = new Mpdf();
      var_dump($pdf);die;
      

      $collection = $this->filter->getCollection($this->_collectionFactory->create());
      
      $html  = '<table  border="1" style="width:100% ;">
          <tr>
            <th>SNo.</th>
            <th>Item Description</th> 
            <th>Quantity</th>
            <th>Packet Size</th>
            </tr>';

            $i=1;
            foreach ($collection as $value) {

                $pqty = $value->getTotalQtyOrdered();
                foreach ($value->getAllItems() as $value1) 
                {   

                $pname = $value1->getProduct()->getName();
                $pnam54e = $value1->getProduct()->getProductOption();//            
                $optionId = $pnam54e;
                $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
                $product_id=$value1->getId();
                $product = $objectManager->create('Magento\Catalog\Model\Product')->load($product_id);
                $attribute = $product['product_option'];
                $attribute = $product->getResource()->getAttribute('product_option');
                if ($attribute->usesSource()) {
                    $optionText = $attribute->getSource()->getOptionText($optionId);
                }
                $html .='<tr><td>'.$i.'</td>';

                    if($pname !=' '){ 
                        $html .=  '<td>'.$pname.'</td>';
                    }else{
                        $html .='<td>"Name not available"</td>';
                    }
                }
                    $html .= '<td>'.$pqty.'</td>';  
                    $html .= '<td>'.$optionText.'</td>';
                $html .= '</tr>';
                
                $i++; }

               $html .= '</table>';
               print_r($html);
    } 
        
}

?>